// -*- C++ -*-
/***************************************************************************
                          gamelog.h  -  description
                             -------------------
    begin                : Fre Jun 22 17:19:03 CEST 2001
    copyright            : (C) 2001 by Daniel Hermann
    email                : Daniel.Hermann@stud.uni-karlsruhe.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GAMELOG_H
#define GAMELOG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//
// Common
//

#include "attribute.h"

/* TODO: reasonable defines */

#define GAMELOG_FATAL  0
#define GAMELOG_NORMAL 1
#define GAMELOG_INIT  2
#define GAMELOG_LAST 18
#define GAMELOG_EOT 19
#define GAMELOG_FULL 20
//  /*Unit destroyed*/
//  #define GAMELOG_UNITL 22
//  /*Unit  lost due to fuel*/
//  #define GAMELOG_UNITF 23
//  /*Trireme lost at sea*/
//  #define GAMELOG_UNITTRI 24
//  /*Settlers lost to famine*/
//  #define GAMELOG_UNITFS 25
//  /*Improvements*/
//  #define GAMELOG_IMP 28
//  /*Taxation rate change*/
//  #define GAMELOG_RATE 29
//  #define GAMELOG_EVERYTHING 30
#define GAMELOG_DEBUG 40

void gamelog_init(char *filename);
void gamelog_set_level(int level);
void gamelog(int level, char *message, ...)
             cap__attribute((format (printf, 2, 3)));

#endif  /* GAMELOG_H */
